Skip to main content
GET
/
v2
/
paymentMethods
Query Payment Methods
curl --request GET \
  --url https://api.jtl-cloud.com/erp/v2/paymentMethods \
  --header 'Authorization: Bearer <token>' \
  --header 'x-tenant-id: <x-tenant-id>'
import requests

url = "https://api.jtl-cloud.com/erp/v2/paymentMethods"

headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};

fetch('https://api.jtl-cloud.com/erp/v2/paymentMethods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
    "name": "<string>",
    "isStandard": true,
    "isActive": true
  }
]

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

Response

Returns all payment methods.

id
string<uuid>

Unique ID to identify a payment method.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

name
string

Name of the payment method.

isStandard
boolean

Indicates if the method is the default payment method. There is only one default method and if a new one is enabled, the previous method is no longer the default one.

isActive
boolean

Indicates if the payment method is still active.